%global ppp_ver %(rpm -q --queryformat "%{VERSION}" ppp)

Summary:	L2TP and L2TP/IPsec support for NetworkManager
Name:		networkmanager-l2tp
Version:	1.8.8
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Networking
URL:		https://github.com/nm-l2tp/network-manager-l2tp
Source0:	https://github.com/nm-l2tp/network-manager-l2tp/archive/%{version}/network-manager-l2tp-%{version}.tar.gz
Patch0:		0001-Fix-build-with-Wl-no-undefined.patch
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	ppp-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(libnm)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(nss)
Requires:	networkmanager
Requires:	ppp = %{ppp_ver}
Requires:	xl2tpd
Recommends:	openswan

%description
This package contains software for integrating the L2TP VPN
with NetworkManager and the GNOME desktop.

%prep
%setup -qn NetworkManager-l2tp-%{version}
%autopatch -p1

%build
intltoolize -f
autoreconf -vfi
%configure \
	--enable-maintainer-mode \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_ver} \
	--without-libnm-glib
%make_build

%install
%make_install

# replaced by file in /usr/lib/NetworkManager/VPN/
rm -rf %{buildroot}%{_sysconfdir}/NetworkManager/VPN/nm-l2tp-service.name

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-l2tp

%files -f NetworkManager-l2tp.lang
%doc AUTHORS README.md
%{_prefix}/lib/NetworkManager/VPN/nm-l2tp-service.name
%{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp.so
%{_libdir}/pppd/%{ppp_ver}/nm-l2tp-pppd-plugin.so
%{_libexecdir}/nm-l2tp-auth-dialog
%{_libexecdir}/nm-l2tp-service
%{_datadir}/dbus-1/system.d/nm-l2tp-service.conf
%{_metainfodir}/network-manager-l2tp.metainfo.xml


%changelog
* Sat Aug 27 2022 tmb <tmb> 1.8.8-1.mga9
+ Revision: 1881249
- update to 1.8.8

* Tue Apr 05 2022 umeabot <umeabot> 1.8.6-5.mga9
+ Revision: 1844543
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.8.6-4.mga9
+ Revision: 1747643
- rebuild for openssl 3.0.0

* Sun Aug 15 2021 wally <wally> 1.8.6-3.mga9
+ Revision: 1741500
- rebuild for arm

* Sun Jul 18 2021 wally <wally> 1.8.6-2.mga9
+ Revision: 1736822
- Rebuild for ppp 2.4.9

* Sun Jul 18 2021 wally <wally> 1.8.6-1.mga9
+ Revision: 1736796
- new version 1.8.6

* Sun Oct 18 2020 wally <wally> 1.8.2-1.mga8
+ Revision: 1636698
- new version 1.8.2

* Sun Oct 18 2020 wally <wally> 1.2.10-7.mga8
+ Revision: 1636693
- remove excess gnome-keyring requires (mga#27440)

* Fri Sep 25 2020 martinw <martinw> 1.2.10-6.mga8
+ Revision: 1629935
- rebuild for new ppp

* Sat Feb 15 2020 umeabot <umeabot> 1.2.10-5.mga8
+ Revision: 1527991
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 wally <wally> 1.2.10-4.mga8
+ Revision: 1426930
- build without legacy libnm-glib

* Sun Sep 23 2018 umeabot <umeabot> 1.2.10-3.mga7
+ Revision: 1299723
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 wally <wally> 1.2.10-2.mga7
+ Revision: 1242313
- add patch to fix linking

* Sun Jul 01 2018 guillomovitch <guillomovitch> 1.2.10-1.mga7
+ Revision: 1241040
- new version 1.2.10

* Tue Oct 03 2017 wally <wally> 1.2.8-1.mga7
+ Revision: 1167960
- new version 1.2.8
- update URL and rpm group
- only recommend libreswan
- add strict version requires for ppp

* Tue Feb 09 2016 umeabot <umeabot> 0.9.8.7-6.mga6
+ Revision: 952715
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.9.8.7-5.mga6
+ Revision: 930506
- Mageia 6 Mass Rebuild

* Mon May 11 2015 tmb <tmb> 0.9.8.7-4.mga5
+ Revision: 821741
- submit to release

* Fri May 08 2015 tmb <tmb> 0.9.8.7-3.mga5
+ Revision: 821482
- rebuild against NM 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8.7-2.mga5
+ Revision: 743031
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 alexl <alexl> 0.9.8.7-1.mga5
+ Revision: 735789
- new version 0.9.8.7 with fixed IPSec setup

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8.6-3.mga5
+ Revision: 682868
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 alexl <alexl> 0.9.8.6-2.mga5
+ Revision: 612043
- clean spec
- move Epoch
- use pkgconfig()
- move unneeded Requires
- move *.la

* Sat Apr 05 2014 alexl <alexl> 1:0.9.8.6-1.mga5
+ Revision: 611850
- imported package networkmanager-l2tp


* Mon Jun 03 2013 AlexL <loginov.alex.valer@gmail.com>
- update to new version

* Tue Oct 23 2012 AlexL <loginov.alex.valer@gmail.com>
- first build for Mageia
